YAST uses Ruby? Why can't I do Ruby/Tk?

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

YAST uses Ruby? Why can't I do Ruby/Tk?

Anton Aylward-2
Yes, YAST has compatibility mode bit it also produces X style graphics
in KDE & Gnome etc.

But whenever I try using Ruby/Tk it breaks.

There's a lot of stuff on the bug in Ruby that causes this but no fixes
in distributions, it seems.
What's the workaround?

Do I have to drill down though the YAST codebase to find this or can
someone tell me what the solution to doing Tk style graphics with Ruby is.

Please!

--
         A: Yes.
     >   Q: Are you sure?
     >>  A: Because it reverses the logical flow of conversation.
     >>> Q: Why is top posting frowned upon?

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: YAST uses Ruby? Why can't I do Ruby/Tk?

Vojtěch Zeisek-2
Dne Pá 27. listopadu 2015 09:35:02, Anton Aylward napsal(a):
> Do I have to drill down though the YAST codebase to find this or can
> someone tell me what the solution to doing Tk style graphics with Ruby is.

It could be faster to ask in #yast channel Freenode IRC. YaST developers are
using it. And when I asked there, I always get very quick and exact answer.

--
Vojtěch Zeisek

Komunita openSUSE GNU/Linuxu
Community of the openSUSE GNU/Linux

http://www.opensuse.org/
http://trapa.cz/

signature.asc (484 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: YAST uses Ruby? Why can't I do Ruby/Tk?

Marcus Rueckert-3
In reply to this post by Anton Aylward-2
On 2015-11-27 09:35:02 -0500, Anton Aylward wrote:

> Yes, YAST has compatibility mode bit it also produces X style graphics
> in KDE & Gnome etc.
>
> But whenever I try using Ruby/Tk it breaks.
>
> There's a lot of stuff on the bug in Ruby that causes this but no fixes
> in distributions, it seems.
> What's the workaround?
>
> Do I have to drill down though the YAST codebase to find this or can
> someone tell me what the solution to doing Tk style graphics with Ruby is.

yast has nothing to do with ruby-tk. the TK bindings didnt work with the
tcl/tk version we shipped for a long time. with ruby 2.2 this was fixed
so we ship the ruby TK bindings again.

hth

--
           openSUSE - SUSE Linux is my linux
               openSUSE is good for you
                   www.opensuse.org
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: YAST uses Ruby? Why can't I do Ruby/Tk?

Anton Aylward-2
On 11/28/2015 11:18 PM, Marcus Rueckert wrote:
> yast has nothing to do with ruby-tk. the TK bindings didnt work with the
> tcl/tk version we shipped for a long time. with ruby 2.2 this was fixed
> so we ship the ruby TK bindings again.
>
> hth

Thank you immensely!
I've found 2.2 (as well as 2.3) in

Repository: devel:languages:ruby
Version: 2.2.3-14.1
and
Version: 2.3.preview1-4.1
Vendor: obs://build.opensuse.org/devel:languages:ruby

Subsequent problems are with script and fat fingers :-)

--
         A: Yes.
     >   Q: Are you sure?
     >>  A: Because it reverses the logical flow of conversation.
     >>> Q: Why is top posting frowned upon?

--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]